Bug 149574 - HANG: deleting sheet
Summary: HANG: deleting sheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: high major
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.5.0 target:7.3.5 target:7.4....
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2022-06-15 05:13 UTC by Xisco Faulí
Modified: 2022-06-27 10:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Attila Szűcs


Attachments
sample file (78.52 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2022-06-15 05:13 UTC, Xisco Faulí
Details
another file affecte (30.50 KB, application/vnd.ms-excel)
2022-06-15 05:16 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-06-15 05:13:17 UTC
Created attachment 180774 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Delete sheet 'Land A'

-> LibreOffice hangs

reproduced in

Version: 7.4.0.0.beta1+ / LibreOffice Community
Build ID: 76698a4a1c8e514962cc54fd9ddc73e39fce7177
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-06-15 05:14:37 UTC
Regression introduced by:

author	Attila Szűcs <szucs.attila3@nisz.hu>	2020-09-18 12:59:38 +0200
committer	László Németh <nemeth@numbertext.org>	2020-09-30 10:32:30 +0200
commit 605b4ba57b2daa447af9d43d3759079e15df8148 (patch)
tree fcd7e60decd33fc8b3d678a9a27a9d8c639ed08a
parent 1ed04c2029218619aab2f3422130c890f67f309c (diff)
tdf#43958 sc: fix fill by selecting merged cell

Bisected with: bibisect-linux64-7.1

Adding Cc: to Attila Szűcs
Comment 2 Xisco Faulí 2022-06-15 05:16:57 UTC
Created attachment 180775 [details]
another file affecte
Comment 3 Commit Notification 2022-06-23 13:43:57 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/12fd3f7ba73d2fd03b88513160545fab8edc8a20

tdf#149574 sc: fix missing nullptr check

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Attila Szűcs 2022-06-23 14:41:54 UTC
Nice catch Xisco, and thx for the hint with "See Also: 149502" that helped me to find the real problem too.
Comment 5 Commit Notification 2022-06-24 09:34:03 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/dc8d912884f4893f2a3f553ecfe732a234d04e0d

tdf#149574 sc: fix missing nullptr check

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2022-06-24 09:37:38 UTC
Unittest for bug 149502 already covers this issue
Comment 7 Commit Notification 2022-06-24 11:49:27 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/cb232588e15e9b80cbba1ce698a962eb02e15e5e

tdf#149574 sc: fix missing nullptr check

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 NISZ LibreOffice Team 2022-06-27 10:23:49 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 415dc3bb1c03dbdbc3cbca274bc435ac7557ba2d
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL